Index: specbuilder/sb-build
===================================================================
--- specbuilder/sb-build	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/sb-build	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,8 +1,6 @@
 #! /usr/bin/env python
 #
-# $Id$
-#
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/sb-crossgcc
===================================================================
--- specbuilder/sb-crossgcc	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/sb-crossgcc	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,8 +1,6 @@
 #! /usr/bin/env python
 #
-# $Id$
-#
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/sb-setup
===================================================================
--- specbuilder/sb-setup	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/sb-setup	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,8 +1,6 @@
 #! /usr/bin/env python
 #
-# $Id$
-#
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/sb-specdump
===================================================================
--- specbuilder/sb-specdump	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/sb-specdump	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,8 +1,6 @@
 #! /usr/bin/env python
 #
-# $Id$
-#
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/sb-status
===================================================================
--- specbuilder/sb-status	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/sb-status	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,8 +1,6 @@
 #! /usr/bin/env python
 #
-# $Id$
-#
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/sb-versions
===================================================================
--- specbuilder/sb-versions	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/sb-versions	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,8 +1,6 @@
 #! /usr/bin/env python
 #
-# $Id$
-#
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/specbuilder/build.py
===================================================================
--- specbuilder/specbuilder/build.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/build.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -185,5 +183,5 @@
         # Get the file. Checks the local source directory first.
         #
-        source['local'] = os.path.join(self.spec.abspath('_sourcedir'), 
+        source['local'] = os.path.join(self.spec.abspath('_sourcedir'),
                                        source['file'])
         #
@@ -367,5 +365,5 @@
             args = l.split()
             self.script.append(' '.join(args))
-        
+
     def cleanup(self):
         buildroot = self.spec.abspath('buildroot')
Index: specbuilder/specbuilder/crossgcc.py
===================================================================
--- specbuilder/specbuilder/crossgcc.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/crossgcc.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/specbuilder/darwin.py
===================================================================
--- specbuilder/specbuilder/darwin.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/darwin.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/specbuilder/defaults.py
===================================================================
--- specbuilder/specbuilder/defaults.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/defaults.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -44,5 +42,5 @@
 '_topdir':        os.getcwd(),
 '_srcrpmdir':     '%{_topdir}/SRPMS',
-'_sourcedir':     '%{_topdir}/SOURCES', 
+'_sourcedir':     '%{_topdir}/SOURCES',
 '_specdir':       '%{_topdir}/SPECS',
 '_rpmdir':        '%{_topdir}/TARS',
@@ -156,7 +154,7 @@
 '_varrun':             '%{_var}/run',
 'configure': '''
-CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; 
-CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; 
-FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; 
+CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
+CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
+FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
 ./configure --build=%{_build} --host=%{_host} \
       --target=%{_target_platform} \
@@ -295,5 +293,5 @@
                                     #
                                     e = execute.capture_execution()
-                                    config_sub = os.path.join(self.command_path, 
+                                    config_sub = os.path.join(self.command_path,
                                                               'specbuilder', 'config.sub')
                                     exit_code, proc, output = e.shell(config_sub + ' ' + value)
@@ -354,5 +352,5 @@
     def command(self):
         return os.path.join(self.command_path, self.command_name)
-        
+
     def dry_run(self):
         return self.opts['dry-run'] != '0'
@@ -362,5 +360,5 @@
 
     def trace(self):
-        return self.opts['trace'] != '0' 
+        return self.opts['trace'] != '0'
 
     def warn_all(self):
@@ -437,5 +435,5 @@
             overrides = freebsd.load()
         elif uname[0] == 'Linux':
-            import linux 
+            import linux
             overrides = linux.load()
     if overrides is None:
Index: specbuilder/specbuilder/error.py
===================================================================
--- specbuilder/specbuilder/error.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/error.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -37,10 +35,10 @@
     def __init__(self, what):
         self.set_output('error: ' + what)
-    
+
 class internal(error):
     """Raise for an internal error."""
     def __init__(self, what):
         self.set_output('internal error: ' + what)
-    
+
 if __name__ == '__main__':
     try:
Index: specbuilder/specbuilder/execute.py
===================================================================
--- specbuilder/specbuilder/execute.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/execute.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -65,5 +63,5 @@
         else:
             # We have a quoted string. Get the string before
-            # the quoted string and spltt on white space then
+            # the quoted string and splt on white space then
             # add the quoted string as an option then remove
             # the first + quoted string and try again
@@ -300,5 +298,5 @@
         #self.snapper.get_and_clear()
         exit_code, proc = execute.open(self, command, capture = True, shell = shell,
-                                       cwd = cwd, env = env, 
+                                       cwd = cwd, env = env,
                                        stdin = stdin, stdout = stdout, stderr = stderr)
         return (exit_code, proc, self.snapper.get_and_clear())
@@ -329,8 +327,8 @@
             e.capture(proc)
             del proc
-        
+
     cmd_shell_test = 'if "%OS%" == "Windows_NT" (echo It is WinNT) else echo Is is not WinNT'
     sh_shell_test = 'x="me"; if [ $x = "me" ]; then echo "It was me"; else "It was him"; fi'
-    
+
     commands = {}
     commands['windows'] = {}
@@ -349,10 +347,10 @@
                                    ('date %0 %1', ['-u', '+%d %D %S'])]
     commands['unix']['pipe'] = ('grep', 'hello', 'hello world')
-    
+
     print arg_list('cmd a1 a2 "a3 is a string" a4')
     print arg_list('cmd b1 b2 "b3 is a string a4')
     print arg_subst(['nothing', 'xx-%0-yyy', '%1', '%2-something'],
                     ['subst0', 'subst1', 'subst2'])
-    
+
     e = execute(error_prefix = 'ERR: ', verbose = True)
     if sys.platform == "win32":
Index: specbuilder/specbuilder/freebsd.py
===================================================================
--- specbuilder/specbuilder/freebsd.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/freebsd.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -23,5 +21,5 @@
 
 #
-# This code is based on what ever doco about spec files I could find and 
+# This code is based on what ever doco about spec files I could find and
 # RTEMS project's spec files.
 #
@@ -48,5 +46,5 @@
     if version.find('-') > 0:
         version = version.split('-')[0]
-    defines = { 
+    defines = {
         '_os':                     'freebsd',
         '_host':                   cpu + '-freebsd' + version,
Index: specbuilder/specbuilder/linux.py
===================================================================
--- specbuilder/specbuilder/linux.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/linux.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -23,5 +21,5 @@
 
 #
-# This code is based on what ever doco about spec files I could find and 
+# This code is based on what ever doco about spec files I could find and
 # RTEMS project's spec files.
 #
@@ -45,6 +43,6 @@
                 cpus = int(count)
         if cpus > 0:
-            smp_mflags = '-j%d' % (cpus) 
-    defines = { 
+            smp_mflags = '-j%d' % (cpus)
+    defines = {
         '_os':                     'linux',
         '_host':                   uname[4] + '-linux-gnu',
Index: specbuilder/specbuilder/log.py
===================================================================
--- specbuilder/specbuilder/log.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/log.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -95,5 +93,5 @@
         out = ''
         for l in text.replace(chr(13), '').splitlines():
-            out += l + os.linesep 
+            out += l + os.linesep
         for f in range(0, len(self.fhs)):
             if self.fhs[f] is not None:
@@ -105,5 +103,5 @@
             if self.fhs[f] is not None:
                 self.fhs[f].flush()
-        
+
 if __name__ == "__main__":
     l = log(['stdout', 'log.txt'])
Index: specbuilder/specbuilder/rtems.py
===================================================================
--- specbuilder/specbuilder/rtems.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/rtems.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -29,5 +27,5 @@
 
 def load():
-    defines = { 
+    defines = {
         # Build readline with gdb.
         'without_system_readline': 'without_system_readline',
Index: specbuilder/specbuilder/setup.py
===================================================================
--- specbuilder/specbuilder/setup.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/setup.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/specbuilder/spec.py
===================================================================
--- specbuilder/specbuilder/spec.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/spec.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/specbuilder/status.py
===================================================================
--- specbuilder/specbuilder/status.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/status.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/specbuilder/version.py
===================================================================
--- specbuilder/specbuilder/version.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/version.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
Index: specbuilder/specbuilder/windows.py
===================================================================
--- specbuilder/specbuilder/windows.py	(revision 5a4412234db28daefd9cbd36ff37b22fc125175e)
+++ specbuilder/specbuilder/windows.py	(revision 68c9b8a35da2af1068136f3d36d5a26c88535c8a)
@@ -1,7 +1,5 @@
-#
-# $Id$
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2010 Chris Johns (chrisj@rtems.org)
+# Copyright 2010-2012 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -46,5 +44,5 @@
         hosttype = 'i686'
     system = 'mingw32'
-    defines = { 
+    defines = {
         '_os':                     'win32',
         '_host':                   hosttype + '-pc-' + system,
